#!/usr/bin/env python
import serial
from xbee import xbee

#Configuration Helper Script
SERIALPORT = "COM11"    # the com/serial port the XBee is connected to
BAUDRATE = 9600      # the baud rate we talk to the xbee
SENSOR1 = 0

#Open communications with recieving XBee
ser = serial.Serial(SERIALPORT, BAUDRATE)
ser.open()

def mainLoop(idleevent):
	#get packet from xbee
	packet = xbee.find_packet(ser)
	if not packet:
		return
	
	xb = xbee(packet) #parse packet
	
	sensor1data = [-1] * (len(xb.analog_samples) - 1) #initialize an array with negative ones of length of data samples minus one
	for i in range(len(sensor1data)):
		sensor1data[i] = xb.analog_samples[i + 1][SENSOR1]

	sen1avg = 0;
	for i in range(17):#len(sensor1data)):
		sen1avg += sensor1data[i]
	sen1avg = sen1avg / 17 #len(sensor1data)
	
	print "Sensor One Reading: " + str(xb.analog_samples[2][SENSOR1])
	print "Sensor One Avgerage: " + str(sen1avg)

while True:
	mainLoop(None)